For the complete documentation index, see llms.txt. This page is also available as Markdown.

Job Create

Create a new job. The response includes the details of the new job and the jobId.

Make sure the job name exactly matches the prescribed value for the operation you want to perform. If you provide any other name, the API may still accept it, but orchestration won't process it.

post
Authorizations
AuthorizationstringRequired

Send Bearer {token}, where {token} is the access_token returned by Request a token.

Body
namestring · enumRequired

The job name. Job names are predefined based on the type of job that triggers the orchestration.

Possible values:
titlestring · min: 1 · max: 32Required

A unique title for the job. Enter 1 to 32 characters with no blank spaces.

portfolioIdstringRequired

The ID of the portfolio the job belongs to.

requestFileIdstringRequired

The ID of the file associated with the job. Enter the fileId you created and uploaded to S3.

jobDatestringRequired

The date and time of the job.

Responses
200

Returns the details of the new job, including the jobId.

No content

post/api/v2/job
POST /api/v2/job HTTP/1.1
Host: jobs.api.example.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "name": "ICC Status Change",
  "title": "Job_Title",
  "portfolioId": "{{portfolioId}}",
  "requestFileId": "{{fileId}}",
  "jobDate": "2025-03-27T06:45:49.900Z"
}
200

Returns the details of the new job, including the jobId.

No content

Last updated

Was this helpful?